wibble::net::http::error Struct Reference

`#include <http.h>`

Inheritance diagram for wibble::net::http::error:
[legend]
Collaboration diagram for wibble::net::http::error:
[legend]

## Public Member Functions

| error (int code, const std::string &desc)
| error (int code, const std::string &desc, const std::string &msg)
virtual | ~error () throw ()
virtual const char * | what () const throw ()
virtual void | send (Request &req)

## Public Attributes

int | code
std::string | desc
std::string | msg

## Constructor & Destructor Documentation

wibble::net::http::error::error | ( | int | code,
|  | const std::string & | desc
| ) |  |

inline

wibble::net::http::error::error | ( | int | code,
|  | const std::string & | desc,
|  | const std::string & | msg
| ) |  |

inline

virtual wibble::net::http::error::~error | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

## Member Function Documentation

void wibble::net::http::error::send | ( | Request & | req | ) |

virtual

Reimplemented in wibble::net::http::error404.

References wibble::str::fmtf(), wibble::net::http::Request::send(), wibble::net::http::Request::send_date_header(), wibble::net::http::Request::send_extra_response_headers(), wibble::net::http::Request::send_server_header(), and wibble::net::http::Request::send_status_line().

const char * wibble::net::http::error::what | ( |  | ) | const
throw | ( |
| ) |  |

virtual

## Member Data Documentation

int wibble::net::http::error::code

std::string wibble::net::http::error::desc

std::string wibble::net::http::error::msg

The documentation for this struct was generated from the following files:

- http.h
- http.cpp